Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineEPCPatterns

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineEPCPatterns

All Implemented Interfaces:
  EPCPatterns

public class EngineEPCPatterns
extends java.lang.Object
implements EPCPatterns

Constructor Summary
`EngineEPCPatterns()`

Method Summary
`void` | `appendPattern(java.net.URI pattern)` Appends the given EPC pattern URI to this pattern list.
`void` | `appendPatterns(java.util.List patterns)` Appends the given EPC pattern URIs to this pattern list.
`java.util.List` | `getPatterns()` Returns the list of EPC pattern URIs.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EngineEPCPatterns

    public EngineEPCPatterns()

Method Detail

### appendPattern

    public void appendPattern(java.net.URI pattern)

  Description copied from interface: `EPCPatterns`
  Appends the given EPC pattern URI to this pattern list. The ordering of EPC patterns is significant.

  Specified by:
    `appendPattern` in interface `EPCPatterns`
  Parameters:
    `pattern` - An EPC pattern URI to append.

### appendPatterns

    public void appendPatterns(java.util.List patterns)

  Description copied from interface: `EPCPatterns`
  Appends the given EPC pattern URIs to this pattern list.

  Specified by:
    `appendPatterns` in interface `EPCPatterns`
  Parameters:
    `patterns` - A list of EPC pattern URIs to append.

### getPatterns

    public java.util.List getPatterns()

  Description copied from interface: `EPCPatterns`
  Returns the list of EPC pattern URIs.

  Specified by:
    `getPatterns` in interface `EPCPatterns`
  Returns:
    A List of URI instances, each of which is an EPC pattern specification.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD